Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface JMSServerRuntimeMBean

public interface JMSServerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

This class is used for monitoring a WebLogic JMS server.

Method Summary
`long` | `getBytesCurrentCount()` Returns the current number of bytes stored on this JMS server.
`long` | `getBytesHighCount()` Returns the peak number of bytes stored in the JMS server since the last reset.
`long` | `getBytesPendingCount()` Returns the current number of bytes pending (unacknowledged or uncommitted) stored on this JMS server.
`long` | `getBytesReceivedCount()` Returns the number of bytes received on this JMS server since the last reset.
`long` | `getBytesThresholdTime()` Returns the amount of time in the threshold condition since the last reset.
`JMSDestinationRuntimeMBean[]` | `getDestinations()` Returns an array of destinations on this JMS server.
`long` | `getDestinationsCurrentCount()` Returns the current number of destinations for this JMS server.
`long` | `getDestinationsHighCount()` Returns the peak number of destinations on this JMS server since the last reset.
`long` | `getDestinationsTotalCount()` Returns the number of destinations instantiated on this JMS server since the last reset.
`long` | `getMessagesCurrentCount()` Returns the current number of messages stored on this JMS server.
`long` | `getMessagesHighCount()` Returns the peak number of messages stored in the JMS server since the last reset.
`long` | `getMessagesPendingCount()` Returns the current number of messages pending (unacknowledged or uncommitted) stored on this JMS server.
`long` | `getMessagesReceivedCount()` Returns the number of messages received on this destination since the last reset.
`long` | `getMessagesThresholdTime()` Returns the amount of time in the threshold condition since the last reset.
`JMSSessionPoolRuntimeMBean[]` | `getSessionPoolRuntimes()` Returns the session pools running on this JMS server.
`long` | `getSessionPoolsCurrentCount()` Returns the current number of session pools instantiated on this JMS server.
`long` | `getSessionPoolsHighCount()` Returns the peak number of session pools instantiated on this JMS server since the last reset.
`long` | `getSessionPoolsTotalCount()` Returns the number of session pools instantiated on this JMS server since the last reset.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSessionPoolRuntimes

    public JMSSessionPoolRuntimeMBean[] getSessionPoolRuntimes()

  Returns the session pools running on this JMS server.

### getSessionPoolsCurrentCount

    public long getSessionPoolsCurrentCount()

  Returns the current number of session pools instantiated on this JMS server.

### getSessionPoolsHighCount

    public long getSessionPoolsHighCount()

  Returns the peak number of session pools instantiated on this JMS server since the last reset.

### getSessionPoolsTotalCount

    public long getSessionPoolsTotalCount()

  Returns the number of session pools instantiated on this JMS server since the last reset.

### getDestinations

    public JMSDestinationRuntimeMBean[] getDestinations()

  Returns an array of destinations on this JMS server.

### getDestinationsCurrentCount

    public long getDestinationsCurrentCount()

  Returns the current number of destinations for this JMS server.

### getDestinationsHighCount

    public long getDestinationsHighCount()

  Returns the peak number of destinations on this JMS server since the last reset.

### getDestinationsTotalCount

    public long getDestinationsTotalCount()

  Returns the number of destinations instantiated on this JMS server since the last reset.

### getMessagesCurrentCount

    public long getMessagesCurrentCount()

  Returns the current number of messages stored on this JMS server. This does not include the pending messages.

### getMessagesPendingCount

    public long getMessagesPendingCount()

  Returns the current number of messages pending (unacknowledged or uncommitted) stored on this JMS server. Pending messages are over and above the current number of messages.

### getMessagesHighCount

    public long getMessagesHighCount()

  Returns the peak number of messages stored in the JMS server since the last reset.

### getMessagesReceivedCount

    public long getMessagesReceivedCount()

  Returns the number of messages received on this destination since the last reset.

### getMessagesThresholdTime

    public long getMessagesThresholdTime()

  Returns the amount of time in the threshold condition since the last reset.

### getBytesCurrentCount

    public long getBytesCurrentCount()

  Returns the current number of bytes stored on this JMS server. This does not include the pending bytes.

### getBytesPendingCount

    public long getBytesPendingCount()

  Returns the current number of bytes pending (unacknowledged or uncommitted) stored on this JMS server. Pending bytes are over and above the current number of bytes.

### getBytesHighCount

    public long getBytesHighCount()

  Returns the peak number of bytes stored in the JMS server since the last reset.

### getBytesReceivedCount

    public long getBytesReceivedCount()

  Returns the number of bytes received on this JMS server since the last reset.

### getBytesThresholdTime

    public long getBytesThresholdTime()

  Returns the amount of time in the threshold condition since the last reset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference